## org.eclipse.emf.converter.ui.contribution
Interface ModelConverterDescriptor

All Known Subinterfaces:
  ModelExporterDescriptor, ModelImporterDescriptor

All Known Implementing Classes:
  ModelConverterManager.ModelConverterDescriptorImpl, ModelExporterManager.ModelExporterDescriptorImpl, ModelImporterManager.ModelImporterDescriptorImpl

    public interface ModelConverterDescriptor

Basic interface to describe the objects responsible to import and export the Genmodel and Ecore models. Usually these models are contributed through extension points.

It is highly recommended not to implement this interface. Implementations are provided in the importer and exporter plugins.

Since:
  2.2.0

Method Summary
`java.lang.String` `getDescription()`
`Image` `getIcon()`
`java.lang.String` `getID()`
`java.lang.String` `getName()`

Method Detail

### getID

    java.lang.String getID()

### getName

    java.lang.String getName()

### getIcon

    Image getIcon()

### getDescription

    java.lang.String getDescription()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.